<div class="row mb-3 align-items-center justify-content-between">
  <div class="col-md-auto col-sm-auto">
    <div class="section-title">
      <h2 >{{'ANALYSTS' | translate}}</h2>
    </div>
  </div>
  <div class="col-md-auto col-sm-auto">
    <h4 class="widget-title">
      <button *hasClaim="'role_create_role'" class="btn btn-success2 btn-sm m-right-10" [routerLink]="[router.url+'/manage/add']">
        <i class="las la-plus"></i>
        {{'ADD_ANALYST' | translate}}
      </button>
    </h4>
  </div>
</div>

<div class="d-flex flex-wrap">
  <div *ngFor="let analyst of analystDatas" class="d-flex flex-row mb-4 mr-4">
    <div class="pr-2">
      <div *ngIf="analyst.bytePhoto != ''" class="d-flex align-items-center justify-content-center" style="min-height: 110px;">
        <img class="img-analyst" [src]="'data:image/jpeg;base64, ' + analyst.bytePhoto" alt="Failed To Load Image"/>
      </div>
      <div *ngIf="analyst.bytePhoto == '' || !analyst.bytePhoto" class="d-flex align-items-center justify-content-center" style="min-height: 110px;">
        <i class="material-icons" style="font-size:100px">portrait</i>
      </div>
      <div class="d-flex flex-row my-2 align-items-center justify-content-between">
        <button class="btn btn-success btn-sm small mat-small" *hasClaim="'role_edit_role'" style="width: 43px; height: 27px;" (click)="editAnalyst(analyst.id)">
          <mat-icon style="font-size: 17px;"> border_color</mat-icon>
        </button>
        <button class="btn btn-danger btn-sm small mat-small" *hasClaim="'role_delete_role'" style="width: 43px; height: 27px;" (click)="deleteAnalyst(analyst)">
          <mat-icon style="font-size: 17px;">delete</mat-icon>
        </button>
      </div>
    </div>
    <div class="analyst-desc-container" style="width: 240px; overflow-wrap: anywhere; white-space: pre-wrap;">
      <p class="small m-0">
        <b>{{analyst.name}}</b>
      </p>
      <p class="small m-0">
        <i>{{analyst.title}}</i>
      </p>
      <p class="small m-0">
        {{analyst.email}}
      </p>
      <p class="small m-0">
        {{analyst.phone}}
      </p>
      <p class="small m-0">
        {{analyst.coverage}}
      </p>
      <!-- <div class="row">
        <div class="col-4">
          <p class="small m-0">
            {{"COVERAGE" |translate}}:
          </p>
        </div>
        <div class="col p-0">
          <p class="small m-0">
            {{analyst.coverage}}
          </p>
        </div>
      </div> -->
    </div>
  </div>
</div>
<div class="loading-shade" *ngIf="analystsLoading">
  <mat-spinner></mat-spinner>
</div>
